package cz.muni.pv239.cv3.realm;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListAdapter;
import android.widget.TextView;

import io.realm.OrderedRealmCollection;
import io.realm.RealmBaseAdapter;

class TodoAdapter extends RealmBaseAdapter<Todo> implements ListAdapter {

    private static class ViewHolder {
        TextView text;
    }

    TodoAdapter(OrderedRealmCollection<Todo> realmResults) {
        super(realmResults);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder;
        if (convertView == null) {
            convertView = LayoutInflater.from(parent.getContext()).inflate(android.R.layout.simple_list_item_1, parent, false);
            viewHolder = new ViewHolder();
            viewHolder.text = (TextView) convertView.findViewById(android.R.id.text1);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }

        if (adapterData != null) {
            Todo todo = adapterData.get(position);
            viewHolder.text.setText(todo.getName());
        }
        return convertView;
    }
}
